//Copyright 2006-2007, by the California Institute of 
//Technology. ALL RIGHTS RESERVED. United States Government 
//Sponsorship acknowledged. Any commercial use must be negotiated with 
//the Office of Technology Transfer at the California Institute of 
//Technology.

//This software may be subject to U.S. export control laws. By 
//accepting this software, the user agrees to comply with all 
//applicable U.S. export laws and regulations. User has the 
//responsibility to obtain export licenses, or other export authority 
//as may be required before exporting such information to foreign 
//countries or providing access to foreign persons.

package gov.nasa.pds.tools.time;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * Class that can get the date and time
 * 
 * @author mcayanan
 *
 */
public class ToolsTime {
	
	private Calendar calendar;
	
	public ToolsTime() {
		calendar = Calendar.getInstance();
	}

	/**
	 * Get the current Date and Time
	 * 
	 * @param df How the date and time will be represented. Use
	 * the patterns and letters defined in Java's SimpleDateFormat class.
	 * 
	 * @return the current date and time
	 */
	public String getTime(SimpleDateFormat df) {
		Date date = calendar.getTime();
		return df.format(date);
	}
}
